https://github.com/curl/curl/commit/2fdc1d816ebf3c77f43068103bec1b3a3767881a.patch
From: Daniel Stenberg <daniel@haxx.se>
Date: Wed, 15 Feb 2023 15:04:07 +0100
Subject: [PATCH] tests: make sure gnuserv-tls has SRP support before using it

Reported-by: fundawang on github
Fixes #10522
Closes #10524
--- a/tests/runtests.pl
+++ b/tests/runtests.pl
@@ -5382,7 +5382,7 @@ sub startservers {
         elsif($what eq "httptls") {
             if(!$httptlssrv) {
                 # for now, we can't run http TLS-EXT tests without gnutls-serv
-                return "no gnutls-serv";
+                return "no gnutls-serv (with SRP support)";
             }
             if($torture && $run{'httptls'} &&
                !responsive_httptls_server($verbose, "IPv4")) {
--- a/tests/sshhelp.pm
+++ b/tests/sshhelp.pm
@@ -408,7 +408,16 @@ sub find_sshkeygen {
 # Find httptlssrv (gnutls-serv) and return canonical filename
 #
 sub find_httptlssrv {
-    return find_exe_file_hpath($httptlssrvexe);
+    my $p = find_exe_file_hpath($httptlssrvexe);
+    my @o = `$p -l`;
+    my $found;
+    for(@o) {
+        if(/Key exchange: SRP/) {
+            $found = 1;
+            last;
+        }
+    }
+    return $p if($found);
 }
 
 
